%define upstream_name	 Data-HexDump
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A Simple Hexadecimal Dumper	
License:    GPL
Group:      Development/Perl
Requires:   perl
Url:        https://www.cpan.org/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/F/FT/FTASSIN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FileHandle)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Dump in hexadecimal the content of a scalar. The result is returned 
in a string. Each line of the result consists of the offset in the
source in the leftmost column of each line, followed by one or more
columns of data from the source in hexadecimal. The rightmost column
of each line shows the printable characters (all others are shown
as single dots)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make OPTIMIZE="$RPM_OPT_FLAGS" 
make test

%install
%make_install 

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/Data::HexDump.3pm*
%dir %{perl_vendorlib}/Data
%{perl_vendorlib}/Data/HexDump.pm


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.40.0-3.mga10
+ Revision: 2207008
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.40.0-2.mga9
+ Revision: 1814328
- Mageia 9 Mass Rebuild

* Sun Apr 04 2021 tv <tv> 0.40.0-1.mga9
+ Revision: 1713148
- update to 0.04

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-11.mga8
+ Revision: 1493648
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-10.mga7
+ Revision: 1266847
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.20.0-9.mga6
+ Revision: 1024807
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.20.0-8.mga6
+ Revision: 937519
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.20.0-7.mga6
+ Revision: 937086
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-6.mga5
+ Revision: 743486
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 684204
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-4.mga4
+ Revision: 510616
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-3.mga3
+ Revision: 365347
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.20.0-2.mga1
+ Revision: 29472
- no meta.yml
- rebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 10580
- imported package perl-Data-HexDump


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 403043
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.02-7mdv2009.1
+ Revision: 351701
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.02-6mdv2009.0
+ Revision: 223594
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.02-5mdv2008.1
+ Revision: 122447
- kill re-definition of %%buildroot on Pixel's request
- do not hardcode bz2 extension


* Sat Mar 03 2007 Stew Benedict <sbenedict@mandriva.com> 0.02-5mdv2007.0
+ Revision: 131784
- rebuild, %%mkrel, fix typo in summary

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Data-HexDump

* Mon Feb 06 2006 Stew Benedict <sbenedict@mandriva.com> 0.02-4mdk
- annual rebuild

* Fri Jan 07 2005 Stew Benedict <sbenedict@mandrakesoft.com> 0.02-3mdk
- birthday rebuild, URL

